#!/usr/bin/env python
"""The log code for the mp3 daemon."""

# COPYRIGHT (C) 2003 Zachary White <zwhite@darkstar.frop.org>
# Permission to use, copy, modify, and distribute this software and
# its documentation for any purpose and without fee is hereby granted,
# provided that the above copyright notice appear in all copies and
# that both that copyright notice and this permission notice appear in
# supporting documentation.
# 
# THE AUTHOR DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS
# SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND 
# FITNESS, IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
# SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER  
# RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF
# CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
# CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

import sys, time

# Log levels. Should basically follow the syslog levels.
log = { 'panic': 1,
	'emerg': 2,
	'alert': 3,
	'crit': 4,
	'error': 5,
	'warn': 6,
	'notice': 7,
	'info': 8,
	'debug': 9 }
rlog = { 1: 'panic',
	2: 'emerg',
	3: 'alert',
	4: 'crit',
	5: 'error',
	6: 'warn',
	7: 'notice',
	8: 'info',
	9: 'debug' }

def logger(message, level=9):
	"""Log a message."""
	print '%s %s: [%s] %s' % (time.strftime('%Y %b %d %H:%M:%S'), sys.argv[0], rlog[level], message)
