#!/usr/bin/env python
"""The text messages for the daemon."""

# COPYRIGHT (C) 2003 Zachary White <zwhite@darkstar.frop.org>
# Permission to use, copy, modify, and distribute this software and
# its documentation for any purpose and without fee is hereby granted,
# provided that the above copyright notice appear in all copies and
# that both that copyright notice and this permission notice appear in
# supporting documentation.
# 
# THE AUTHOR DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS
# SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND 
# FITNESS, IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
# SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER  
# RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF
# CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
# CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

import sys

name = 'PyMusicD'
version = '0.2'

serverhelp = """Help for PyMusicD:

Thank you for connecting to mp3d. A list of commands follows. Please see
http://darkstar.frop.org/~zwhite for more information.

hello		Introduce yourself to the mp3 daemon and indicate you're ready
		to recieve status messages.

add <file>      Add one or more songs to the playlist. Filenames should be HTTP
                encoded, seperated by spaces.

play            Start playback

stop            Stop playback

pause           Toggle pause

randomize       Randomize the playlist

sort            Sort the playlist by alphabetical order

jump <frame>    Jump to a specific frame

list [dir]      List available mp3s

playlist        Show the playlist

next            Goto the next song

quit		Disconnect from the server
"""

help = """Usage: %s [option(s)]

%s %s by Zach White <zwhite@darkstar.frop.org>

Plays music in the background, with control from a network client.

  -p, --port=PORT           Listen on PORT
  --host=HOST               Bind only to the specified hostname
  -f, --config=FILE         Use FILE as our configuration file.
  -m, --music=DIR           The location of the music
  -h, --help                Display this information
  -v                        Increase the verbosity of the output. Use multiple
                            times for more verbose output.
  --debug=LEVEL             Like -v, only set the verbosity to a specific
                            level.
  -w, --write-config=FILE   Write the configuration specified by the current
                            flags to FILE.

By default, %s listens to port 2323 for network connections. It will
play music as soon as there is music in the playlist, unless you issue
a stop command.

Report bugs to <zwhite-bugs@darkstar.frop.org>.""" % (sys.argv[0], name, version, name)

iperror = 'You must specify a valid IP.'
porterror = 'You must specify a valid port number.'
musicerror = 'You must specify a valid directory.'
